#ifndef _GEOLODOBJECT
#define _GEOLODOBJECT

namespace Geometry
{
	class IndexData;

	class LodObject
	{
	public:
		LodObject(void){
			static uint32 uniqueIDgen = 0;
			uniqueID = uniqueIDgen++;
		}
		uint32 GetUniqueID(void) const { return  uniqueID; }
		virtual void GoToLod(Real)=0;
		virtual Real GetCurrentLodFactor(void) const =0;
		virtual Geometry::IndexData * GetIndexDataInterface(void)=0;

	private:
		uint32 uniqueID;
	};
}

#endif