#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <iostream>
#include <list>
#include <vector>
#include <algorithm>

#include	<GeoBase.h>

#include <set>

using namespace std;
using	namespace	Geometry;

/*#define X 0
#define Y 1
#define Z 2*/

#define MAXUINT 2^4-1

#pragma pack(1)
typedef struct
{
	uint32	strip;
	char	nP,nL1,nL2,obligatory;
} LODData;
#pragma pack()

typedef vector <LODData> LODChanges;

//-----------------

typedef struct
{
	float Vertex[3];
	float Normal[3];
	float TexCoords[2];
	unsigned int obligatory;
	int numMesh;
	uint32 Next;
	bool repetido;
} tipoVertice;

typedef struct
{
	float	Vertex[3];
} tipoNormal;

//--- Para calcular la simplificacion
typedef struct
{
	uint32				vQslimNext;
	uint32				vQslim;
	uint32				vLSNext;
	uint32				vLS;
	unsigned int	obligatory;
	float					x;
	char					*cambio;
} tipoOrden;

typedef vector <int32> VECTORINT;
typedef vector<int32> VECTORUNINT;
typedef vector<tipoVertice> VECTORVERTEX;
typedef list <int32> LISTINT;
typedef set <int32> SET_INT;

//// FUNCIONES DE ALLOCATE
uint32 **Allocate2DArrayINT( uint32 nRows, uint32 nCols);

